Event insights summary (PostHog)
curl --request GET \
--url https://api.eventlink.co/api/v1/dashboard/events/{eventId}/insights/summary \
--cookie better-auth.session_token=import requests
url = "https://api.eventlink.co/api/v1/dashboard/events/{eventId}/insights/summary"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://api.eventlink.co/api/v1/dashboard/events/{eventId}/insights/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"days": 2,
"traffic": {
"series": [
{
"day": "2026-08-19",
"views": 1
}
],
"totalViews": 1,
"days": 2
},
"funnel": {
"formViews": 1,
"formCompletions": 1,
"viewToFormRate": 1,
"formToCompleteRate": 1
},
"sources": [
{
"source": "<string>",
"views": 1
}
],
"campaigns": [
{
"name": "<string>",
"source": "newsletter",
"medium": "email",
"campaign": "launch",
"term": "<string>",
"content": "<string>",
"views": 1,
"formViews": 1,
"formCompletions": 1
}
]
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
Event insights summary (PostHog)
Traffic timeseries (event_viewed), registration funnel (form viewed/completed), top traffic sources, and per-campaign UTM breakdown (matched to saved campaign links when possible) for the published event page.
GET
/
api
/
v1
/
dashboard
/
events
/
{eventId}
/
insights
/
summary
Event insights summary (PostHog)
Authorizations
Better Auth session cookie.
Path Parameters
Query Parameters
Required range:
1 <= x <= 90